package cn.ezhizao.framework.security.service;

import cn.ezhizao.project.business.domain.BizSupplierUser;
import org.springframework.stereotype.Component;

import java.util.HashSet;
import java.util.Set;

/**
 * 用户权限处理
 *
 * @author ruoyi
 */
@Component
public class SysPermissionService {
    /**
     * 获取菜单数据权限
     *
     * @param user 用户信息
     * @return 菜单权限信息
     */
    public Set<String> getMenuPermission(BizSupplierUser user) {
        Set<String> perms = new HashSet<String>();
        // 管理员拥有所有权限
        if ("1".equals(user.getIsAdmin()))
            perms.add("*:*:*");

        return perms;
    }
}
